Bug 773346 - Review Request: intel-gen4asm - Compile an assembly language for the Intel 965
Review Request: intel-gen4asm - Compile an assembly language for the Intel 965
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-11 10:31 EST by Nicolas Chauvet (kwizart)
Modified: 2013-01-05 13:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-05 13:21:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2012-01-11 10:31:53 EST
Spec URL:
http://kwizart.fedorapeople.org/review/intel-gen4asm.spec
SRPM URL:
http://kwizart.fedorapeople.org/review/intel-gen4asm-1.2-1.fc16.src.rpm
Description: Compile an assembly language for the Intel 965

This package is needed to regenerate the Intel ASM used on severals intel GPU component (such as libva-intel-driver).
Comment 1 Nicolas Chauvet (kwizart) 2012-05-14 15:12:46 EDT
Only useful on Intel Arches
ExclusiveArch:  %{ix86} x86_64 ia64
Comment 2 Nicolas Chauvet (kwizart) 2013-01-03 09:26:54 EST
Spec URL:
http://kwizart.fedorapeople.org/review/intel-gen4asm.spec
SRPM URL:
http://kwizart.fedorapeople.org/review/intel-gen4asm-1.3-1.fc19.src.rpm
Description: Compile an assembly language for the Intel 965

Changelog:
Update to 1.3

Koji rawhide scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4836034
Comment 3 Mamoru TASAKA 2013-01-03 11:59:36 EST
Confirmed that at least this builds on F-18 koji build and can be installed.
Taking. 

I would appreciate it if you would review my review request bug 875353.
Comment 4 Mamoru TASAKA 2013-01-04 03:34:55 EST
For 1.3-1

* No longer needed bits
  - "BuildRoot: %{_tmppath}..." line, 
    "rm -rf $RPM_BUILD_ROOT" at the beginning of %install,
    the whole %clean section are no longer needed
    (on Fedora 19/18/17 and RHEL6: RHEL5 still need these 
    item)
    https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
    https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

? Installed pkgconfig file
  - As this binary rpm seems somewhat meant for
    development purpose, I don't make it a blocker
    that pkgconfig file is included in the main package.

    However looking at installed pkgconfig file,
    it seems essentially empty (it contains some basic
    information and does not contain Libs or Cflags
    information). Is this pkgconfig file really needed?

* Executing tests
  - As this package contains test/ directory and test/run-test.sh
    script, please enable %check section and execute some
    test program if possible.

* isa specific dependency
  - I don't know on which branches (may be EPEL5?) isa is
    not defined, however currently it is best to use
    %{?isa} instead of %{isa} (where isa may not be defined)
  ! Also please check the above "Installed pkgconfig file"
    section.
Comment 5 Nicolas Chauvet (kwizart) 2013-01-04 08:17:45 EST
(In reply to comment #4)
> For 1.3-1
> 
> * No longer needed bits
fixed
> 
> ? Installed pkgconfig file
libva-intel-driver (still forbidden in fedora) rely on this pc file:
PKG_CHECK_MODULES(GEN4ASM, [intel-gen4asm >= 1.3], [gen4asm=yes], [gen4asm=no])

> * Executing tests
>   - As this package contains test/ directory and test/run-test.sh
>     script, please enable %check section and execute some
>     test program if possible.
I will add this.

> * isa specific dependency
Fixed. I don't plan to build for EPEL-5 in this case.

Thx
Comment 6 Mamoru TASAKA 2013-01-04 10:16:19 EST
For test:
  - It seems that just adding
--------------------------------------------
%check
cd test
sh ./run-test.sh
--------------------------------------------
    will do some test suite (currently run-test.sh
    does not check the returned value of each test,
    however at least you can check if test passes or
    not when you check build log)

Please consider to add above, however no blockers

--------------------------------------------------------
   This package (intel-gen4asm) is APPROVED by mtasaka
--------------------------------------------------------
Comment 7 Nicolas Chauvet (kwizart) 2013-01-04 11:09:48 EST
New Package SCM Request
=======================
Package Name: intel-gen4asm
Short Description: Compile an assembly language for the Intel 965
Owners: kwizart
Branches: f17 f18 el6
InitialCC:
Comment 8 Gwyn Ciesla 2013-01-04 11:11:09 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.